%define	module	Crypt-SSLeay
%define	name	perl-%{module}
%define	version	0.51
%define	release	4mdk

Summary:	Support for the https protocol under LWP
Name:		%{name}
Version:	%version
Release:	%release
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	perl-URI
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{module}-%{version}
perl -pi -e 's,(SSL_DIR.*)/lib\b,\1/%{_lib},g' Makefile.PL

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*

%changelog
* Thu Jun 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-4mdk
- Remove unneeded virtual package SSLeay.pm

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.51-3mdk
- rebuild
- Own dir

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.51-2mdk
- rebuild for new perl
- cosmetics
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- use %%makeinstall_std macro

* Mon Jun 30 2003 Franois Pons <fpons@mandrakesoft.com> 0.51-1mdk
- 0.51.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.49-2mdk
- rebuild for new auto{prov,req}

* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 0.49-1mdk
- 0.49.

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.45-2mdk
- Teach it lib64 life

* Sat Aug 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.45-1mdk
- release 0.45

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 0.41-3mdk
- BuildRequires

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.41-2mdk
- rebuild for perl thread-multi

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 0.41-1mdk
- 0.41.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.40-3mdk
- add 'make test'.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.40-2mdk
- rebuild for perl 5.8.0

* Sun Jul  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.40-1mdk
- 0.40 

* Sun Jun  2 2002 Stefan van der Eijk <stefan@eijk.nu> 0.37-2mdk
- BuildRequires

* Thu Mar  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.37-1mdk
- 0.37-1mdk

